LibreOffice: XTable Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | Public Attributes | List of all members
XTable Interface Reference

`import <XTable.idl;`

Inheritance diagram for XTable:

## Exported Interfaces
interface | com::sun::star::lang::XComponent
interface | com::sun::star::table::XCellRange
interface | com::sun::star::table::XColumnRowRange
interface | ::com::sun::star::util::XModifiable
| interface to make the modify state of the table accessible.
interface | ::com::sun::star::beans::XPropertySet
interface | ::com::sun::star::beans::XFastPropertySet

## Public Member Functions
com::sun::star::table::XCellCursor | createCursor ()
| creates a cell cursor including the whole table
com::sun::star::table::XCellCursor | createCursorByRange ([in] com::sun::star::table::XCellRange Range) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a cell cursor to travel in the given range context.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range.
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range.
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range.
Public Member Functions inherited from XColumnRowRange
com::sun::star::table::XTableColumns | getColumns ()
| returns the collection of columns in the range.
com::sun::star::table::XTableRows | getRows ()
| returns the collection of rows in the range.
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name.
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Public Attributes
long | RowCount
| stores the current row count of this table
long | ColumnCount
| stores the current column count of this table

## Exported Interfaces

## ◆ ::com::sun::star::beans::XFastPropertySet

interface ::com::sun::star::beans::XFastPropertySet

## ◆ ::com::sun::star::beans::XPropertySet

interface ::com::sun::star::beans::XPropertySet

## ◆ ::com::sun::star::util::XModifiable

interface ::com::sun::star::util::XModifiable

interface to make the modify state of the table accessible.

Additionally, it makes it possible to register listener objects, which get notification whenever the content of the table changes.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

## ◆ com::sun::star::table::XCellRange

interface com::sun::star::table::XCellRange

## ◆ com::sun::star::table::XColumnRowRange

interface com::sun::star::table::XColumnRowRange

## Member Function Documentation

## ◆ createCursor()

com::sun::star::table::XCellCursor createCursor | ( |  | ) |

creates a cell cursor including the whole table

See also
  com::sun::star::table::CellCursor

## ◆ createCursorByRange()

com::sun::star::table::XCellCursor createCursorByRange | ( | [in] com::sun::star::table::XCellRange | Range | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

creates a cell cursor to travel in the given range context.

Parameters

  Range | the cell range for the cursor.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given reference is empty or not a range from this table.

See also
  com::sun::star::table::CellCursor

## Member Data Documentation

## ◆ ColumnCount

long ColumnCount
| attributereadonly

stores the current column count of this table

## ◆ RowCount

long RowCount
| attributereadonly

stores the current row count of this table

The documentation for this interface was generated from the following file:

- com/sun/star/table/XTable.idl